NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::AnimationDesigner::PointOnCurveJointBuilder Class Reference

Represents a NXOpen::AnimationDesigner::PointOnCurveJoint builder. More...

Inheritance diagram for NXOpen::AnimationDesigner::PointOnCurveJointBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::SelectNXObjectListAttachmentList ()
 Returns the attachment list of joint. More...
 
NXOpen::DirectionAxisVector ()
 Returns the axis vector which is tangent to the connected curve at the selected point. More...
 
void EvaluatePath (const std::vector< NXOpen::NXObject * > &curves)
 Evaluates the path. More...
 
std::vector< NXOpen::NXObject * > GetConnectedCurves ()
 Gets the connected curves which the attachment will move along. More...
 
NXString Name ()
 Returns the name. More...
 
NXOpen::PointPointOnCurve ()
 Returns the selected point on curve. More...
 
void SetAxisVector (NXOpen::Direction *axisVector)
 Sets the axis vector which is tangent to the connected curve at the selected point. More...
 
void SetConnectedCurves (const std::vector< NXOpen::NXObject * > &curves)
 Sets the connected curves which the attachment will move along. More...
 
void SetName (const NXString &name)
 Sets the name. More...
 
void SetName (const char *name)
 Sets the name. More...
 
void SetPointOnCurve (NXOpen::Point *pointOnCurve)
 Sets the selected point on curve. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::AnimationDesigner::PointOnCurveJoint builder.


To create a new instance of this class, use NXOpen::AnimationDesigner::PointOnCurveJointCollection::CreatePointOnCurveJointBuilder

Created in NX12.0.0.

Member Function Documentation

NXOpen::SelectNXObjectList* NXOpen::AnimationDesigner::PointOnCurveJointBuilder::AttachmentList ( )

Returns the attachment list of joint.

This can be a NXOpen::AnimationDesigner::RigidGroup or objects which can create a RigidGroup by.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::Direction* NXOpen::AnimationDesigner::PointOnCurveJointBuilder::AxisVector ( )

Returns the axis vector which is tangent to the connected curve at the selected point.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

void NXOpen::AnimationDesigner::PointOnCurveJointBuilder::EvaluatePath ( const std::vector< NXOpen::NXObject * > &  curves)

Evaluates the path.

If there is no path, create it, otherwise evaluate it.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
curvescurve or edge
std::vector<NXOpen::NXObject *> NXOpen::AnimationDesigner::PointOnCurveJointBuilder::GetConnectedCurves ( )

Gets the connected curves which the attachment will move along.

Returns
curve or edge
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")
NXString NXOpen::AnimationDesigner::PointOnCurveJointBuilder::Name ( )

Returns the name.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::Point* NXOpen::AnimationDesigner::PointOnCurveJointBuilder::PointOnCurve ( )

Returns the selected point on curve.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

void NXOpen::AnimationDesigner::PointOnCurveJointBuilder::SetAxisVector ( NXOpen::Direction axisVector)

Sets the axis vector which is tangent to the connected curve at the selected point.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
axisVectoraxisvector
void NXOpen::AnimationDesigner::PointOnCurveJointBuilder::SetConnectedCurves ( const std::vector< NXOpen::NXObject * > &  curves)

Sets the connected curves which the attachment will move along.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
curvescurve or edge
void NXOpen::AnimationDesigner::PointOnCurveJointBuilder::SetName ( const NXString name)

Sets the name.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
namename
void NXOpen::AnimationDesigner::PointOnCurveJointBuilder::SetName ( const char *  name)

Sets the name.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
namename
void NXOpen::AnimationDesigner::PointOnCurveJointBuilder::SetPointOnCurve ( NXOpen::Point pointOnCurve)

Sets the selected point on curve.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
pointOnCurvepointoncurve

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.